db.describe(1)

NAME
db.describe - Describes a table in detail.

KEYWORDS
database, attribute table

SYNOPSIS
db.describe
db.describe --help
db.describe [-c] table=name [driver=name] [database=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Print column names only instead of full column descriptions

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

table=name [required]
    Name of attribute table

driver=name
    Name of database driver
    Options: dbf, odbc, ogr, pg, sqlite
    Default: sqlite

database=name
    Name of database
    Default: $GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db

DESCRIPTION
db.describe displays table information. If parameter -c is used only column names instead of full column descriptions is given.

NOTE
If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

EXAMPLES
List column descriptions of table in SQLite database (note that this is the default setting)

db.describe driver=sqlite table=hospitals \
   database=’$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db’
# or simply
db.describe myarchsites

  DBF example

db.describe -c table=hospitals database=’$GISDBASE/$LOCATION_NAME/PERMANENT/dbf/’ \
            driver=dbf
ncols: 16
nrows: 160
Column 1: cat:INTEGER:11
Column 2: OBJECTID:INTEGER:11
Column 3: AREA:DOUBLE PRECISION:20
[...]

db.describe table=hospitals database=’$GISDBASE/$LOCATION_NAME/PERMANENT/dbf/’ \
            driver=dbf
table:hospitals
description:
insert:yes
delete:yes
ncols:16
nrows:160
column:cat
description:
type:INTEGER
len:11
scale:0
precision:10
default:
nullok:yes
select:yes
update:yes
column:OBJECTID
description:
type:INTEGER
[...]

SEE ALSO
db.columns, db.droptable, db.execute, db.login, db.tables, GRASS SQL interface

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

SOURCE CODE

Available at: db.describe source code (history)

Accessed: Saturday Mar 23 00:44:34 2024

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual